/**
 * @function doSignget
 */
"use strict";

const Promise = require('apemanpromise');

/** @lends doSignget */
function doSignget(Sign, signed) {
    if (!signed) {
        return Promise.resolve(null);
    }
    return Sign
        .findById(signed.id, {
            include: [Sign.getRef('user')]
        });
}

module.exports = doSignget;
